[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [Fwd: Some qemu+hurd questions]

On Wed, 2010-11-03 at 01:39 +0100, Samuel Thibault wrote:
> Samuel Thibault, le Wed 03 Nov 2010 01:05:34 +0100, a écrit :
> > > How to
> > > get X running with or without curses in a terminal with a reasonable
> > > resolution, like 1280x1024x16. The qemu man page says one should use -vga
> > > std to be able to use larger resolutions. How?
> > 
> > By running -vga std, and then try to run Xorg, see whether it just
> > already uses a good resolution, else configure it, etc.
> Actually I've just tried it: it's awfully slow and does not support DDE
> so that Xorg doesn't dare more than 800x600. You should probably rather
> let qemu use the default cirrus, or better, use -vga vmware and install
> xserver-xorg-video-vmware, that works for me, and xrandr can be used to
> resize at will.

I tried to start X with the cirrus driver and got hit by Debian bug
#590715 reported for 2:1.7.7-3 (with patch by Samuel) and another for
fbdevhw, see below. Hurd version of xorg-server is 2:1.7.7-8. Has this
not been fixed?

Z.org X Server 1.7.7
Release date: 2010-05-04
X Protocol Version 11, Revision 0
Build operating system: GNU 0.3 GNU-Mach 1.3.99/Hurd-0.3 i686-AT386
Build date: 10 October 2010 12:07:22PM
xorg-server 2:1.7.7-8 (Cyril Brulebois <kibi@debian.org>)
Current version of pixman: 0.16.4
(EE) Loadmodule: FModule fbdevhw does not have a fbdevhwModule data
(EE) Failed to load module "fbdevhw"
(EE) AIGLX error: dlopen of /usr/lib/dri/swrast_dri.so failed
(/usr/lib/dri/swrast_dri.so: undefined symbol: _glapi_tls_Context)
(EE) GLX: could not load software renderer

Reply to: